Package org.eclipse.rdf4j.shacl.manifest

## Class SHACLManifestTestSuiteFactory

- java.lang.Object
- - org.eclipse.rdf4j.shacl.manifest.SHACLManifestTestSuiteFactory

-     public class SHACLManifestTestSuiteFactory
      extends Object

  Functionality for creating a JUnit test suite out of a W3C Working Group-style manifest for SHACL shape constraints testsuite
  Author:
    James Leigh

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `SHACLManifestTestSuiteFactory.TestFactory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SHACLManifestTestSuiteFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `junit.framework.TestSuite` | `createTestSuite​(SHACLManifestTestSuiteFactory.TestFactory factory, boolean officialWorkingGroupTests, boolean approvedTestsOnly, boolean useRemoteTests, String... excludedSubdirs)` | Creates a new `TestSuite` for executiong of `AbstractSHACLTest` s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SHACLManifestTestSuiteFactory

          public SHACLManifestTestSuiteFactory()

  - ### Method Detail

    - #### createTestSuite

          public junit.framework.TestSuite createTestSuite​(SHACLManifestTestSuiteFactory.TestFactory factory,
                                                           boolean officialWorkingGroupTests,
                                                           boolean approvedTestsOnly,
                                                           boolean useRemoteTests,
                                                           String... excludedSubdirs)
                                                    throws Exception

      Creates a new `TestSuite` for executiong of `AbstractSHACLTest` s.
      Parameters:
        `factory` - a factory class that creates each individual test case.
        `officialWorkingGroupTests` - indicates whether to use the official W3C working group tests, or Sesame's own set of tests.
        `approvedTestsOnly` - if `true`, use working group-approved tests only. Has no influence when officialWorkingGroup tests is set to `false`.
        `useRemoteTests` - if set to `true`, use manifests and tests located at `http://www.w3.org/2009/sparql/docs/tests/data-sparql11/` , instead of local copies.
        `excludedSubdirs` - an (optionally empty) list of subdirectories to exclude from testing. If specified, test cases in one of the supplied subdirs will not be executed. If left empty, all tests will be executed.
      Returns:
        a TestSuite.
      Throws:
        `Exception`